> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Make adjustments to an Allocation's availability

> ## Make adjustments to an Allocation's availability ##

<p>
Sets an adjusted availability for a given date range. For example, if the default availability is 20 and an adjustment
of -5 is passed in, availability during that date range will be adjusted to 15. Each call to this method will replace
the previous adjustment for the dates provided, if any. Adjustments will NOT be changed if the default availability for
the Allocation is changed.
</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json put /{supplierapi}/product/{productId}/allocation/{productAllocationId}/adjustments
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/product/{productId}/allocation/{productAllocationId}/adjustments:
    put:
      tags:
        - Version 1
        - Booking Details
      summary: Make adjustments to an Allocation's availability
      description: >-
        ## Make adjustments to an Allocation's availability ##


        <p>

        Sets an adjusted availability for a given date range. For example, if
        the default availability is 20 and an adjustment

        of -5 is passed in, availability during that date range will be adjusted
        to 15. Each call to this method will replace

        the previous adjustment for the dates provided, if any. Adjustments will
        NOT be changed if the default availability for

        the Allocation is changed.

        </p>
      operationId: setAvailabilityAdjustmentAction
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: productId
          in: path
          required: true
          schema:
            type: string
        - name: productAllocationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        description: Detail to update the Allocation.
        required: true
        content:
          application/json:
            schema:
              required:
                - dateRanges
              properties:
                dateRanges:
                  description: Array of DateRange objects.
                  type: array
                  items:
                    required:
                      - startDate
                      - adjustment
                    properties:
                      startDate:
                        description: Start date for adjustment to be applied to.
                        type: string
                        format: date
                      endDate:
                        description: >-
                          End date for adjustment to be applied to. Defaults to
                          startDate.
                        type: string
                        format: date
                      adjustment:
                        description: Amount to adjust the default quantity by.
                        type: integer
                    type: object
              type: object
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when Product or Allocation is not found.
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.